CharSequenceValue (Groovy 5.0.0)
Description: declaration: package: org.apache.groovy.json.internal, class: CharSequenceValue

Package org.apache.groovy.json.internal

# Class CharSequenceValue

java.lang.Object
org.apache.groovy.json.internal.CharSequenceValue

All Implemented Interfaces:
  `CharSequence`, `Value`

public class CharSequenceValue extends Object implements Value, CharSequence

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharSequenceValue(boolean chop, Type type, int startIndex, int endIndex, char[] buffer, boolean encoded, boolean checkDate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `bigDecimalValue()`
  `BigInteger`
  `bigIntegerValue()`
  `boolean`
  `booleanValue()`
  `byte`
  `byteValue()`
  `final char`
  `charAt(int index)`
  `char`
  `charValue()`
  `final void`
  `chop()`
  `Date`
  `dateValue()`
  `double`
  `doubleValue()`
  `boolean`
  `equals(Object o)`
  `float`
  `floatValue()`
  `int`
  `hashCode()`
  `int`
  `intValue()`
  `boolean`
  `isContainer()`
  `final int`
  `length()`
  `long`
  `longValue()`
  `short`
  `shortValue()`
  `String`
  `stringValue()`
  `String`
  `stringValueEncoded()`
  `final CharSequence`
  `subSequence(int start, int end)`
  `<T extends Enum>
  T`
  `toEnum(Class<T> cls)`
  `static <T extends Enum>
  T`
  `toEnum(Class<T> cls, int value)`
  `static <T extends Enum>
  T`
  `toEnum(Class<T> cls, String value)`
  `String`
  `toString()`
  `final Object`
  `toValue()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.CharSequence

  `chars, codePoints, isEmpty`

- ## Constructor Details

  - ### CharSequenceValue

    public CharSequenceValue(boolean chop, Type type, int startIndex, int endIndex, char[] buffer, boolean encoded, boolean checkDate)

- ## Method Details

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `CharSequence`
    Overrides:
      `toString` in class `Object`

  - ### toValue

    public final Object toValue()
    Specified by:
      `toValue` in interface `Value`

  - ### toEnum

    public <T extends Enum> T toEnum(Class<T> cls)
    Specified by:
      `toEnum` in interface `Value`

  - ### toEnum

    public static <T extends Enum> T toEnum(Class<T> cls, String value)

  - ### toEnum

    public static <T extends Enum> T toEnum(Class<T> cls, int value)

  - ### isContainer

    public boolean isContainer()
    Specified by:
      `isContainer` in interface `Value`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### length

    public final int length()
    Specified by:
      `length` in interface `CharSequence`

  - ### charAt

    public final char charAt(int index)
    Specified by:
      `charAt` in interface `CharSequence`

  - ### subSequence

    public final CharSequence subSequence(int start, int end)
    Specified by:
      `subSequence` in interface `CharSequence`

  - ### bigDecimalValue

    public BigDecimal bigDecimalValue()
    Specified by:
      `bigDecimalValue` in interface `Value`

  - ### bigIntegerValue

    public BigInteger bigIntegerValue()
    Specified by:
      `bigIntegerValue` in interface `Value`

  - ### stringValue

    public String stringValue()
    Specified by:
      `stringValue` in interface `Value`

  - ### stringValueEncoded

    public String stringValueEncoded()
    Specified by:
      `stringValueEncoded` in interface `Value`

  - ### dateValue

    public Date dateValue()
    Specified by:
      `dateValue` in interface `Value`

  - ### intValue

    public int intValue()
    Specified by:
      `intValue` in interface `Value`

  - ### longValue

    public long longValue()
    Specified by:
      `longValue` in interface `Value`

  - ### byteValue

    public byte byteValue()
    Specified by:
      `byteValue` in interface `Value`

  - ### shortValue

    public short shortValue()
    Specified by:
      `shortValue` in interface `Value`

  - ### doubleValue

    public double doubleValue()
    Specified by:
      `doubleValue` in interface `Value`

  - ### booleanValue

    public boolean booleanValue()
    Specified by:
      `booleanValue` in interface `Value`

  - ### floatValue

    public float floatValue()
    Specified by:
      `floatValue` in interface `Value`

  - ### chop

    public final void chop()
    Specified by:
      `chop` in interface `Value`

  - ### charValue

    public char charValue()
    Specified by:
      `charValue` in interface `Value`